# Alan's dotfiles
Alan's dotfiles are managed with [dotdrop](https://github.com/deadc0de6/dotdrop). To set up on a new Arch Linux machine install [dotdrop from AUR](https://aur.archlinux.org/packages/dotdrop) and do this:

## Setup on Arch Linux
Install [dotdrop from AUR](https://aur.archlinux.org/packages/dotdrop) and then install the dotfiles:

```console
$ git clone --recursive https://git.mjanja.ch/alanorth/dotfiles.git
$ dotdrop install
```

## Setup on Other Linux
Bootstrap the repository's copy of dotdrop, prepare Python deps, and then install the dotfiles:

```console
$ git clone --recursive https://git.mjanja.ch/alanorth/dotfiles.git
$ ./dotdrop/bootstrap.sh
$ pip3 install -r dotdrop/requirements.txt --user
$ ./dotdrop.sh install
```

## License
Copyright (C) 2015–2022 Alan Orth

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
